B::Assembler(3)

NAME
B::Assembler - Assemble Perl bytecode

SYNOPSIS
        use B::Assembler qw(newasm endasm assemble);
        newasm(\&printsub);     # sets up for assembly
        assemble($buf);         # assembles one line
        endasm();               # closes down
        use B::Assembler qw(assemble_fh);
        assemble_fh($fh, \&printsub);   # assemble everything in $fh

DESCRIPTION
See ext/B/B/Assembler.pm.

AUTHORS
Malcolm Beattie, "mbeattie@sable.ox.ac.uk" Per-statement interface by Benjamin Stuhl, "sho_pi@hotmail.com"